package com.example.controller;

import com.example.service.CollectService;
import com.example.util.CommonResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @ClassName MedRecordController
 * @Description   重耗材采集器接口
 * @Author linjj
 * @Date 2025/3/25 16:45
 * @Version 1.0
 */
@RestController
@RequestMapping("/task")
@Api(value = "重耗材任务接口", tags = "重耗材任务对外接口")
@Slf4j
public class MedRecordController {
    @Autowired
    private CollectService collectService;

    @PostMapping("/getTask")
    @ApiOperation("获取任务接口")
    @ResponseBody
    public CommonResult<?> GetTask() {
        collectService.LianZhongConllect();
        return  CommonResult.success("1");
    }

}
